Bug 880028 - [ja_JP][SAM CLI] Local strings displayed as garbage in pdf report for user report module
[ja_JP][SAM CLI] Local strings displayed as garbage in pdf report for user r...
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.3
x86_64 Linux
medium Severity medium
: rc
: 2.0
Assigned To: Tom McKay
SAM QE List
: i18n, Translation, Triaged
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2012-11-25 22:15 EST by Lijun Li
Modified: 2016-03-10 22:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-10 22:28:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
katello_users_report.pdf (135.18 KB, image/png)
2012-11-25 22:20 EST, Lijun Li
no flags Details

  None (edit)
Description Lijun Li 2012-11-25 22:15:18 EST
Description of problem:
Local strings displayed as garbage in pdf report  for user report module

Version-Release number of selected component (if applicable):
Subscription Asset Manager Version: 1.2.5-1h.el6_3

How reproducible:
100%

Steps to Reproduce:
[root@i18nsamtest ~]# headpin -u admin -p admin user report --format=pdf
[root@i18nsamtest ~]# ls
katello_users_report.pdf 

[root@i18nsamtest ~]# headpin -u admin -p admin user report --format=text
+------------------------------------------------------------------------------------------------+
|   username    |     created_at      |     updated_at      |             roles.name             |
+------------------------------------------------------------------------------------------------+
| hidden-tph4xj | 2012-11-14 08:57:53 | 2012-11-14 08:57:53 | hidden-tph4xj_jcPYk1a8z9moRSMd8exQ |
| en_US         | 2012-11-14 09:14:45 | 2012-11-14 09:14:45 | en_US_FsqHuNSrf95KIoGkNmVU         |
| en_US         | 2012-11-14 09:14:45 | 2012-11-14 09:14:45 | Administrator                      |
| en_US         | 2012-11-14 09:14:45 | 2012-11-14 09:14:45 | Read Everything                    |
| es_ES         | 2012-11-14 09:22:35 | 2012-11-14 09:22:35 | es_ES_stUnvrXBVUnolhJBPbKS         |
| es_ES         | 2012-11-14 09:22:35 | 2012-11-14 09:22:35 | Administrator                      |
| es_ES         | 2012-11-14 09:22:35 | 2012-11-14 09:22:35 | Read Everything                    |
| fr_FR         | 2012-11-14 09:16:46 | 2012-11-14 09:16:46 | fr_FR_KJQRqC1BOirbm8w56haC         |
| fr_FR         | 2012-11-14 09:16:46 | 2012-11-14 09:16:46 | Administrator                      |
| fr_FR         | 2012-11-14 09:16:46 | 2012-11-14 09:16:46 | Read Everything                    |
| ko_KR         | 2012-11-14 09:20:29 | 2012-11-14 09:20:29 | ko_KR_H4S84M7bCxTOGKeW1ZZj         |
| ko_KR         | 2012-11-14 09:20:29 | 2012-11-14 09:20:29 | Administrator                      |
| ko_KR         | 2012-11-14 09:20:29 | 2012-11-14 09:20:29 | Read Everything                    |
| pt_BR         | 2012-11-14 09:18:24 | 2012-11-14 09:18:24 | pt_BR_EeXjd7q7XqZGYLHRJ5xB         |
| pt_BR         | 2012-11-14 09:18:24 | 2012-11-14 09:18:24 | Administrator                      |
| pt_BR         | 2012-11-14 09:18:24 | 2012-11-14 09:18:24 | Read Everything                    |
| zh_CN         | 2012-11-14 09:19:07 | 2012-11-14 09:19:07 | zh_CN_5F96PpKHGYoDKtt5faK2         |
| zh_CN         | 2012-11-14 09:19:07 | 2012-11-14 09:19:07 | Administrator                      |
| zh_CN         | 2012-11-14 09:19:07 | 2012-11-14 09:19:07 | Read Everything                    |
| de_DE         | 2012-11-14 09:21:09 | 2012-11-14 09:21:09 | de_DE_fyQGfIZVh9k0deaXJ8ew         |
| de_DE         | 2012-11-14 09:21:09 | 2012-11-14 09:21:09 | Administrator                      |
| de_DE         | 2012-11-14 09:21:09 | 2012-11-14 09:21:09 | Read Everything                    |
| zh_TW         | 2012-11-14 09:19:50 | 2012-11-14 09:19:50 | zh_TW_INmwJQlNyveJuQDvTlFv         |
| zh_TW         | 2012-11-14 09:19:50 | 2012-11-14 09:19:50 | Administrator                      |
| zh_TW         | 2012-11-14 09:19:50 | 2012-11-14 09:19:50 | Read Everything                    |
| ja_JP         | 2012-11-14 09:15:44 | 2012-11-15 06:50:32 | ja_JP_ErExs4057LFdSEvBwPlM         |
| ja_JP         | 2012-11-14 09:15:44 | 2012-11-15 06:50:32 | Administrator                      |
| ja_JP         | 2012-11-14 09:15:44 | 2012-11-15 06:50:32 | Read Everything                    |
| ja_JP         | 2012-11-14 09:15:44 | 2012-11-15 06:50:32 | 合い                             |
| it_IT         | 2012-11-14 09:21:53 | 2012-11-14 09:21:53 | it_IT_WiCBOnT2n8drFjn7C22E         |
| it_IT         | 2012-11-14 09:21:53 | 2012-11-14 09:21:53 | Administrator                      |
| it_IT         | 2012-11-14 09:21:53 | 2012-11-14 09:21:53 | Read Everything                    |
| ru_RU         | 2012-11-14 09:23:31 | 2012-11-14 09:23:31 | ru_RU_gCv3K8pHTZYtuPbtaNYx         |
| ru_RU         | 2012-11-14 09:23:31 | 2012-11-14 09:23:31 | Administrator                      |
| ru_RU         | 2012-11-14 09:23:31 | 2012-11-14 09:23:31 | Read Everything                    |
| test-braz-sat | 2012-11-16 07:40:36 | 2012-11-16 07:40:36 | test-braz-sat_6YG2MjrK8yofwCRQkdrc |
| あい  >>>Local string      | 2012-11-16 09:49:12 | 2012-11-16 09:49:12 | あい>>> Local string_xEXmF4c5xPmvoCXkQMSn        |
| Braz-sat      | 2012-11-16 07:41:41 | 2012-11-16 07:41:41 | Braz-sat_4qqzWG27Cp0ISfSJ2FAr      |
| Braz-sat      | 2012-11-16 07:41:41 | 2012-11-16 07:41:41 | abc-test                           |
| Braz-sat      | 2012-11-16 07:41:41 | 2012-11-16 07:41:41 | pt-br-role-test                    |
| admin         | 2012-11-14 08:57:53 | 2012-11-16 07:57:35 | Administrator                      |
| admin         | 2012-11-14 08:57:53 | 2012-11-16 07:57:35 | admin_1Zcowhv6a7PIdRilHNV4         |
| test          | 2012-11-26 02:42:26 | 2012-11-26 02:42:26 | test_Y3L8ahox7EalzGDArTcD          |
+-------------------------------------------------------------------------------------


Actual results:
Local strings displayed as garbage in pdf report  for user report module, please refer to the attached pdf report screen shot.

Expected results:
The local strings should be displayed correctly in pdf report same as text,csv, html report.

Additional info:
Comment 1 Lijun Li 2012-11-25 22:20:30 EST
Created attachment 651734 [details]
katello_users_report.pdf
Comment 3 Tom McKay 2012-12-18 09:12:18 EST
Mass moving i18n BZs to CFSE where they are also present

Note You need to log in before you can comment on or make changes to this bug.